windows - Проблема установки Tensorflow-не проблема CUDA/CuDNN




import install (3)

@ user1735003 разобрался. Я unistalled последняя версия tenorflow

pip uninstall tensorflow

а затем установили тензор потока 1,5

pip install tensorflow==1.5

тогда я проверил установку работал со скриптом

import tensorflow as tf
hello = tf.constant('Hello, TensorFlow!')
sess = tf.Session()
print(sess.run(hello))

Я получил правильный вывод

Hello, TensorFlow!

Я недавно начал входить в Tensorflow, но у меня проблемы с установкой. Каждый раз, когда я пытаюсь импортировать его, я получаю следующую ошибку

>>> import tensorflow as tf
Traceback (most recent call last):
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 658, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 571, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 17, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 16, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 658, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 571, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 17, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 16, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\[user]\AppData\Local\Programs\Python\Python36\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

Я посмотрел на другие посты переполнения стека, которые имели ту же проблему, что и я, и они предложили получить библиотеки CUDA от NVIDIA. Проблема в том, что у меня нет ни видеокарты NVIDIA, ни версии tenorflow для GPU, так что я не думаю, что это проблема. Были также предложения, чтобы убедиться, что распространяемые Microsoft для Visual Studio установлены, которые они есть.

Если это проблема, связанная с системными переменными, я буду признателен за помощь в изменении системных переменных, поскольку я новичок в этом. Спасибо!

Некоторая информация о системе:

  • ОС: Microsoft Windows 10 Pro Версия 10.0.17134
  • Процессор: Intel Xeon E5620
  • Видеокарта: Radeon RX 480
  • Версия Python: 3.6.5 amd64 Tensorflow
  • Способ установки: pip install tenorflow

Если проблема сохраняется, проверьте нумерацию версий и убедитесь, что cuda и TF совместимы.

Проверьте нумерацию версий здесь

или для более простого способа используйте Anaconda

conda create --name new_env_name tensorflow-gpu
activate new_env_name

Я успешно установил TensorFlow GPU версии 1.12 (последняя до даты написания) с Cuda 9.0, GeForce 1050 Ti, Windows 10 и Python 3.6.7

Примечание. Вы установили CUDA Toolkit (версия 9) для TensorFlow для распознавания вашего графического процессора.


Я предполагаю, что вы пытаетесь использовать TF> = 1.6, потому что ваш процессор довольно старый и не поддерживает инструкции AVX. В самом деле, начиная с версии 1.6, в предварительно собранных двоичных файлах tenorflow используются инструкции AVX .

В настоящее время ваши варианты:

  1. Используйте официальный готовый двоичный файл TF 1.5 или более ранней версии. (Вы пропустите несколько вещей, но я бы сказал, что все в порядке).
  2. Найдите неофициальный предварительно созданный двоичный файл TF> = 1.6, который не поддерживает AVX.
    • В настоящее время предустановленные двоичные файлы до установки TF 1.10 из conda install в Windows, похоже, не созданы с поддержкой AVX, хотя я нигде не смог найти эту информацию и поэтому не могу определить, является ли она намеренной и как долго это будет происходить.
    • Помните, что двоичные файлы от conda-forge (который раньше был основным поставщиком conda tenorflow до того, как он был доступен на основном канале), с другой стороны, созданы с поддержкой AVX.
  3. Измените ваше оборудование для поддержки AVX (очевидно).
  4. Скомпилируйте свой собственный двоичный файл tenorflow без инструкций AVX. Разумный вариант, если ни один из других не был возможен.